"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.remove = exports.set = exports.get = void 0;

var _headers = require("../headers.js");

var SSO_REFRESH_TOKEN_KEY = 'SSO-RefreshToken';

var get = function get() {
  return (0, _headers.get)()[SSO_REFRESH_TOKEN_KEY];
};

exports.get = get;

var set = function set(token) {
  if (token) {
    (0, _headers.append)(SSO_REFRESH_TOKEN_KEY, token);
  }
};

exports.set = set;

var remove = function remove() {
  (0, _headers.remove)(SSO_REFRESH_TOKEN_KEY);
};

exports.remove = remove;