"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.remove = exports.set = exports.get = void 0;

var _headers = require("../headers.js");

const SSO_REFRESH_TOKEN_KEY = 'SSO-RefreshToken';

const get = () => (0, _headers.get)()[SSO_REFRESH_TOKEN_KEY];

exports.get = get;

const set = token => {
  if (token) {
    (0, _headers.append)(SSO_REFRESH_TOKEN_KEY, token);
  }
};

exports.set = set;

const remove = () => {
  (0, _headers.remove)(SSO_REFRESH_TOKEN_KEY);
};

exports.remove = remove;