import {
  get as getHeaders,
  append as appendToHeaders,
  remove as removeFromHeaders,
} from '../headers.js';

const SSO_ACCESS_TOKEN_KEY = 'SSO-AccessToken';

export const get = () => getHeaders()[SSO_ACCESS_TOKEN_KEY];

export const set = (token) => {
  if (token) {
    appendToHeaders(SSO_ACCESS_TOKEN_KEY, token);
  }
};

export const remove = () => {
  removeFromHeaders(SSO_ACCESS_TOKEN_KEY);
};
